//
// Created by zx on 2023/10/7.
//
#include <iostream>
#include "tool/log.hpp"
#include "tool/load_protobuf.hpp"
#include "yolo_seg_mqtt_async.h"

int main(int argc, char * argv[]) {
    // 初始化日志系统
    ZX::InitGlog(PROJECT_NAME, ETC_PATH PROJECT_NAME "/LogInfo/");

    YoloSegmentMqttAsyncClient::iter()->init(ETC_PATH PROJECT_NAME "/mqtt.json");

    // 加载看门狗 TODO：添加看门狗，监视线程
    LOG(INFO) << "---------- all init complate ----------";
    while (true) {
        usleep(100 * 1000);
    }

    return EXIT_SUCCESS;
}
